Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.vectorhighlight
Class SimpleFragListBuilder

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.BaseFragListBuilder
          org.apache.lucene.search.vectorhighlight.SimpleFragListBuilder

All Implemented Interfaces:
  FragListBuilder

    public class SimpleFragListBuilder

extends BaseFragListBuilder

A simple implementation of `FragListBuilder`.

Field Summary

Fields inherited from class org.apache.lucene.search.vectorhighlight.BaseFragListBuilder
`MARGIN_DEFAULT, MIN_FRAG_CHAR_SIZE_FACTOR`

Constructor Summary
`SimpleFragListBuilder()`
`SimpleFragListBuilder(int margin)`

Method Summary
`FieldFragList` | `createFieldFragList(FieldPhraseList fieldPhraseList, int fragCharSize)` create a FieldFragList.

Methods inherited from class org.apache.lucene.search.vectorhighlight.BaseFragListBuilder
`acceptPhrase, createFieldFragList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleFragListBuilder

    public SimpleFragListBuilder()

### SimpleFragListBuilder

    public SimpleFragListBuilder(int margin)

Method Detail

### createFieldFragList

    public FieldFragList createFieldFragList(FieldPhraseList fieldPhraseList,
                                             int fragCharSize)

  Description copied from interface: `FragListBuilder`
  create a FieldFragList.

  Parameters:
    `fieldPhraseList` - FieldPhraseList object
    `fragCharSize` - the length (number of chars) of a fragment
  Returns:
    the created FieldFragList object

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.